Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
- Eval
- FastStringInterpolator
- FastTrack
- FormatInterpolator
- FrontEnd
- ReflectGlobal
- ReflectMain
- StdContextTags
- StdRuntimeTags
- StdTags
- ToolBox
- ToolBoxError
- ToolBoxFactory
- WrappedProperties

t

scala.tools.reflect

# FrontEnd

###

#### trait FrontEnd extends AnyRef

Source
  FrontEnd.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontEnd
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Info(pos: Position, msg: String, severity: Severity) extends Product with Serializable
2.  class Severity extends severity.Value

### Abstract Value Members

1.  abstract def display(info: Info): Unit

   Displays incoming info

2.  abstract def interactive(): Unit

   Services a request to drop into interactive mode

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FrontEnd toany2stringadd[FrontEnd] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FrontEnd, B)
   Implicit
     This member is added by an implicit conversion from FrontEnd toArrowAssoc[FrontEnd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val ERROR: Severity
7.  val INFO: Severity
8.  val WARNING: Severity
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (FrontEnd) => Boolean, msg: => Any): FrontEnd
    Implicit
      This member is added by an implicit conversion from FrontEnd toEnsuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (FrontEnd) => Boolean): FrontEnd
    Implicit
      This member is added by an implicit conversion from FrontEnd toEnsuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): FrontEnd
    Implicit
      This member is added by an implicit conversion from FrontEnd toEnsuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): FrontEnd
    Implicit
      This member is added by an implicit conversion from FrontEnd toEnsuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def flush(): Unit

    Refreshes the UI

19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FrontEnd toStringFormat[FrontEnd] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hasErrors: Boolean
22.  def hasWarnings: Boolean
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  val infos: LinkedHashSet[Info]
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def log(pos: Position, msg: String, severity: Severity): Unit

    Handles incoming info

27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def reset(): Unit

    Resets the reporter

31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
36.  object severity extends Enumeration

### Deprecated Value Members

1.  def →[B](y: B): (FrontEnd, B)
   Implicit
     This member is added by an implicit conversion from FrontEnd toArrowAssoc[FrontEnd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromFrontEnd to any2stringadd[FrontEnd]

### Inherited by implicit conversion StringFormat fromFrontEnd to StringFormat[FrontEnd]

### Inherited by implicit conversion Ensuring fromFrontEnd to Ensuring[FrontEnd]

### Inherited by implicit conversion ArrowAssoc fromFrontEnd to ArrowAssoc[FrontEnd]

### Ungrouped